/***************************************************************************
                          arcdlg.h  -  description
                             -------------------
    begin                : Sat Aug 17 2002
    copyright            : (C) 2011 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ARCDLG_H
#define ARCDLG_H

#include "decodlg.h"

class QCheckBox;
class ArcItem;

/**
  * Arc settings dialog class. Provides a dialog for the settings
  * of an arc decoration item.
  * @author Werner Stille
  */
class ArcDlg : public DecoDlg
{
   Q_OBJECT
public:
  /**
   * Constructor.
   * @param parent pointer to parent widget.
   * @param model pointer to KplDoc model object.
   * @param ai pointer to arc item.
   * @param pos dialog position.
   */
  ArcDlg(QWidget* parent, KplDoc* model, ArcItem* ai, QPoint pos);
  /** Destructor. */
  ~ArcDlg();

protected:
  ArcItem* ai;
  QDoubleSpinBox *eWidth, *eHeight, *eDir, *eStart, *eSpan;
  QCheckBox* isotropic;

protected slots:
  /** Sets height widget. */
  void slotAspect();
  /** Reimplemented from KDialog. */
  virtual void slotButtonClicked(int button);
};

#endif
