/***************************************************************************
                          choosefuncdlg.cpp  -  description
                             -------------------
    begin                : Mit Jul 23 2003
    copyright            : (C) 2011 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QFile>
#include <QLayout>
#include <QLineEdit>
#include <QListWidget>
#include <QRegExp>
#include <QTextStream>
#include <KLocalizedString>
#include "choosefuncdlg.h"

ChooseFuncDlg::ChooseFuncDlg(QWidget* parent, QFile* f, QLineEdit* func0) :
 KDialog(parent), func(func0)
{
  setCaption(i18n("Functions"));
  setButtons(Ok | Cancel);
  setButtonFocus(Ok);
  QWidget* page = new QWidget;
  setMainWidget(page);
  QVBoxLayout* vbox = new QVBoxLayout(page);
  vbox->setSpacing(spacingHint());
  vbox->addWidget(funcList = new QListWidget);
  QRegExp rx("^[0-9a-f]{8,} T ([^_\\s]+\\S*)");
  QTextStream t(f);
  while (!t.atEnd())
    if (rx.indexIn(t.readLine()) != -1)
      new QListWidgetItem(rx.capturedTexts()[1], funcList);
  f->close();
  QList<QListWidgetItem*> list = funcList->findItems(func->text(),
                                                     Qt::MatchExactly);
  if (!list.isEmpty())
    funcList->setCurrentItem(list.first());
  enableButtonOk(false);
  connect(funcList, SIGNAL(itemDoubleClicked(QListWidgetItem*)),
          SLOT(slotList(QListWidgetItem*)));
  connect(funcList, SIGNAL(currentRowChanged(int)), SLOT(slotEdited()));
  resize(200, 200);
}

ChooseFuncDlg::~ChooseFuncDlg()
{
}

void ChooseFuncDlg::slotEdited()
{
  enableButtonOk(true);
}

void ChooseFuncDlg::slotList(QListWidgetItem* item)
{
  func->setText(item->text());
  accept();
}

void ChooseFuncDlg::slotButtonClicked(int button)
{
  if (button == Ok) {
    QListWidgetItem* item = funcList->currentItem();
    if (item) {
      func->setText(item->text());
      accept();
    }
  } else
    KDialog::slotButtonClicked(button);
}
