#
# spec file for package kpl
#
# norootforbuild

Name:           kpl
License:        GPL v2 or later
Group:          Productivity/Scientific/Math
Summary:        A Program for Graphically Presenting Data Sets and Functions
Version:        4.0
Release:        1
URL:            http://omnibus.uni-freiburg.de/~stille/kpl/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libkde4-devel
%if 0%{?suse_version} || 0%{?sles_version}
BuildRequires:  update-desktop-files
%endif
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  desktop-file-utils
%endif
%kde4_runtime_requires
Requires:       shared-mime-info

%description
Kpl is a program for two- and three-dimensional graphical presentation
of data sets and functions. Multidimensional nonlinear parameter fits of
functions to data sets can be performed using the Levenberg-Marquardt
algorithm. Also general linear least square parameter fits are possible.
A D-BUS interface can be used to control Kpl by other applications and
scripts.

All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen via command line parameters, using the File menu, or by drag and
drop.

Automatic scaling and normalization allow the easy graphical presentation
of data. Also parameter fits can be performed automatically.
The settings of a presentation may be changed using the Edit menu. Here
also additional data sets and functions can be included which
can be displayed in the same as well as in different data windows.

Authors:
--------
    Werner Stille <stille@uni-freiburg.de>

%debug_package
%prep
%setup -q -n %{name}
%build
  %cmake_kde4 -d build
  numprocs=`grep -E -c ^cpu[0-9]+ /proc/stat || :`
  if [ "$numprocs" = "0" ]; then
    numprocs=1
  fi
  make -j$numprocs

%install
  cd build
  [ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
  %makeinstall
  %kde_post_install
  cd ..
  %find_lang kpl %name.lang

%post
  update-mime-database %{_datadir}/mime >/dev/null

%postun
  update-mime-database %{_datadir}/mime >/dev/null

%files -f %name.lang
%defattr(-,root,root)
%doc TODO ChangeLog COPYING AUTHORS README
%{_bindir}/kpl
%{_libdir}/kde4/plugins/kpl
%{_prefix}/share/applications/kde4/kpl.desktop
%{_prefix}/share/icons/*/*/apps/kpl.png
%{_prefix}/share/icons/*/*/mimetypes/application-x-kpl-plot.png
%{_prefix}/share/kde4/apps/kpl
%{_prefix}/share/kde4/config.kcfg/kpl.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.Kpl.xml
%{_datadir}/dbus-1/services/org.kde.kpl.service
%{_datadir}/mime/packages/x-kpl-plot.xml

%changelog
* Tue Jun 11 2014 - stille@uni-freiburg.de
- new version 4.0
