/***************************************************************************
                          rectdlg.h  -  description
                             -------------------
    begin                : Sat Apr 28 2001
    copyright            : (C) 2011 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RECTDLG_H
#define RECTDLG_H

#include "decodlg.h"

class QCheckBox;
class BrushButton;
class RectItem;

/**
  * Rectangle settings dialog class. Provides a dialog for the settings
  * of a rectangle decoration item.
  * @author Werner Stille
  */
class RectDlg : public DecoDlg
{
  Q_OBJECT
public:
  /**
   * Constructor.
   * @param parent pointer to parent widget.
   * @param model pointer to KplDoc model object.
   * @param ri pointer to rectangle item.
   * @param pos dialog position.
   */
  RectDlg(QWidget* parent, KplDoc* model, RectItem* ri, QPoint pos);
  /** Destructor. */
  ~RectDlg();

protected:
  RectItem* ri;
  QCheckBox* isotropic;
  BrushButton* fill;
  QDoubleSpinBox *eWidth, *eHeight, *eDir;

protected slots:
  /** Sets height widget. */
  void slotAspect();
  /** Reimplemented from KDialog. */
  virtual void slotButtonClicked(int button);
};

#endif
